﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.BusinessLayer.Interfaces;
using Tsi1.DataLayer;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Services
{
    public class UserTypeService : IUserTypeService
    {
        private readonly Tsi1Context _context;

        public UserTypeService(Tsi1Context context)
        {
            _context = context;
        }

        public async Task<ServiceResult<UserType>> GetById(int id)
        {
            var result = new ServiceResult<UserType>();

            var userType = await _context.UserTypes.FirstOrDefaultAsync(x => x.Id == id);

            if (userType == null)
            {
                result.HasError = true;
                result.Message = string.Format(ErrorMessages.UserTypeDoesNotExist, id);
            }

            result.Data = userType;

            return result;
        }
    }
}
